import pytest

from all_backend_api.janus_request import janus_request
from ids_list import get_ids
import path_setting
from in_common.base_request import BaseRequest


class TestResourceBit:
    data = BaseRequest().api_load(path_setting.RESOURCE_BIT_DATA)
    resource_bit_case, resource_bit_data = get_ids(data, "resource_bit")

    @pytest.mark.parametrize("param", resource_bit_data, ids=resource_bit_case)
    def test_product_detail(self, param):
        r = janus_request().resource_bit()
        print("返回结果", r)
        assert r["error"] == param["assert"]

        #     assert r["message"] == param["assert_version_message"]
